"use strict";
var core_1 = require('@angular/core');
var common_1 = require('@angular/common');
var AcFormErrors = (function () {
    function AcFormErrors(formDir) {
        this.formDir = formDir;
    }
    Object.defineProperty(AcFormErrors.prototype, "errorMessages", {
        get: function () {
            var form = this.formDir.form;
            var control = form.find(this.controlPath);
            var _errors = [];
            if (control !== undefined && control !== null && control.touched) {
                var errors = Object.keys(this.errorTypes);
                for (var i = 0; i < errors.length; ++i) {
                    var errorType = errors[i];
                    if (control.hasError(errorType)) {
                        _errors.push({
                            type: errorType,
                            message: this.errorTypes[errorType]
                        });
                    }
                }
            }
            return _errors;
        },
        set: function (value) {
        },
        enumerable: true,
        configurable: true
    });
    AcFormErrors = __decorate([
        core_1.Component({
            selector: 'ac-form-errors',
            inputs: [
                'controlPath: control',
                'errorTypes: errors'
            ],
            template: "\n    <span *ngFor=\"let error of errorMessages\">\n      <span>{{ error.message }}</span>\n    </span>\n  "
        }),
        __param(0, core_1.Host()), 
        __metadata('design:paramtypes', [common_1.NgForm])
    ], AcFormErrors);
    return AcFormErrors;
}());
exports.AcFormErrors = AcFormErrors;
exports.ANGULARCLASS_FORM_ERRORS_DIRECTIVES = [
    AcFormErrors
];
//# sourceMappingURL=index.js.map